Subject: bug#27187: closed (Re: bug#27187: wrong cursor postion after sort in dired)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Jun 2017 09:58:01 +0000

Your bug report

#27187: wrong cursor postion after sort in dired

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27187: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27187
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27187: wrong cursor postion after sort in dired
From: Eli Zaretskii <[email-masked]>
To: Shuguang Sun <[email-masked]>
Cc: [email-masked]
Date: Fri, 02 Jun 2017 12:57:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Shuguang Sun <[email-masked]>
> Date: Thu, 1 Jun 2017 23:07:37 +0800
> 
> The cursor will keep the postion in the screening, and can't move the correct postion after sort in dired when
> blink-cursor-mode is disabled. If blink-cursor-mode is enabled, the cursor can jump to the correct postion
> when the cursor blinks.
> 
> How to reproduce it:
> 1. runemacs.exe -Q
> 2. eval (blink-cursor-mode 0) to disable blink-cursor-mode
> 3. dired a directory
> 4. press "s" to sort the directory, and the cursor will keep the postion in the buffer and not move with the file.

Thanks, I think I fixed this.

I'm marking the bug done; feel free to reopen if some problems remain.

Subject: wrong cursor postion after sort in dired
From: Shuguang Sun <[email-masked]>
To: [email-masked]
Date: Thu, 1 Jun 2017 23:07:37 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

The cursor will keep the postion in the screening, and can't move the
correct postion after sort in dired when blink-cursor-mode is disabled. If
blink-cursor-mode is enabled, the cursor can jump to the correct postion
when the cursor blinks.

How to reproduce it:
1. runemacs.exe -Q
2. eval (blink-cursor-mode 0) to disable blink-cursor-mode
3. dired a directory
4. press "s" to sort the directory, and the cursor will keep the postion in
the buffer and not move with the file.

Emacs version: GNU Emacs 26.0.50 (build 1, x86_64-w64-mingw32) of 2017-05-31
Windows 7 x64

Best Regards,
Shuguang Sun